Напевне у зв’язку із фінансовою кризою спамери озвіріли, так як потік спаму почав литися на мої сервери із шаленою силою. Спочатку вирішив підняти планку у SpamAssassin, але холєрські спамери навчилися “грамотно” писати листи. Інші фільтри на рівні МТА теж не давали бажаного результату. І тоді в адміністратора залишається останній шанс – файрвол. Continue reading »

 

PHP5 & PHP4

See here for English version of the article

Напевно кожен з нас стикався з проблемою, коли на WEB-сервері одночасно потрібні дві версії мови PHP – версія 4 та версія 5. Проблема стає гострішою тоді, коли сервер працює під управлінням RPM-базованої ОС Linux. Як правило хостери вибирають CentOS5, а ця система йде “в комплекті” з PHP v5.1, і версія 4.х для неї не поствляється упорядниками пакетів. Як варіант, ставимо нижчу версію ОС, що має портовану PHP v4.3.9, але тут проблема – для неї немає PHP v5.х.

Особисто в мене на сервері розміщені кілька комерційних проектів, і вимоги до версій PHP в них доволі пістряві – хтось хоче 4ту версію, хтось 5ту. Відповідно завдання потрібно було вирішити будь-якою ціною :).

Continue reading »

© 2012 Roman's Blog Suffusion theme by Sayontan Sinha